package minijava.ast;

import minijava.TabSimb;

public class Div implements Exp {
	public Exp e1;
	public Exp e2;
	public int lin;
	
	public Div(Exp _e1, Exp _e2, int _lin) {
		e1 = _e1;
		e2 = _e2;
		lin = _lin;
	}
	
	public String toString() {
		return "(" + e1 + " / " + e2 + ")";
	}

	@Override
	public String tipo(TabSimb<String> vars) {
		String t1 = e1.tipo(vars);
		Tipo.subtipo(t1, "int", lin);
		String t2 = e1.tipo(vars);
		Tipo.subtipo(t2, "int", lin);
		return "int";
	}
}
